Namespaces | Functions

# geos Namespace Reference

Basic namespace for all GEOS functionalities. More...

## Namespaces
namespace | algorithm

| Contains classes and interfaces implementing fundamental computational geometry algorithms.
namespace | geom

| Contains the `Geometry` interface hierarchy and supporting classes.
namespace | geomgraph

| Contains classes that implement topology graphs.
namespace | index

| Provides classes for various kinds of spatial indexes.
namespace | io

| Contains the interfaces for converting JTS objects to and from other formats.
namespace | noding

| Classes to compute nodings for arrangements of line segments and line segment sequences.
namespace | operation

| Provides classes for implementing operations on geometries.
namespace | planargraph

| Contains classes to implement a planar graph data structure.
namespace | precision

| Provides classes for manipulating the precision model of Geometries.
## Functions
template<class T >
void | ignore_unused_variable_warning (T const &)

## Detailed Description

Basic namespace for all GEOS functionalities.